curl --request GET \
--url https://api.syntage.com/entities \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.syntage.com/entities"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.syntage.com/entities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"@context": "/contexts/Entity",
"@id": "/entities",
"@type": "hydra:Collection",
"hydra:member": [
{
"@id": "/entities/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "Link",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"type": "company",
"taxpayer": {
"@id": "/taxpayers/PEIC211118IS0",
"@type": "Taxpayer",
"id": "PEIC211118IS0",
"personType": "physical",
"registrationDate": "2023-12-25",
"name": "Pedro Infante Cruz"
},
"credential": {
"@id": "/credentials/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "Credential",
"id": "91106968-1abd-4d64-85c1-4e73d96fb997",
"type": "ciec",
"rfc": "PEIC211118IS0",
"status": "pending",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
},
"tags": [
{
"@id": "/entity-tags/91106968-1abd-4d64-85c1-4e73d96fb997",
"@type": "EntityTag",
"id": "e0a24894-7fbf-48ae-bfb0-efaae30a6319",
"name": "Priority Entity",
"color": "#22c558",
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"isFavorite": true,
"createdAt": "2020-01-01T12:15:00.000Z",
"updatedAt": "2020-01-01T12:15:00.000Z"
}
],
"hydra:view": {
"@id": "<string>",
"@type": "hydra:PartialCollectionView",
"hydra:next": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[lt]=9b8e5365-0b36-45f5-9c76-fbe439632367",
"hydra:last": "/entity/2a15f539-3251-48e1-aaeb-a154dc9c6edb/resource?id[gt]=9b8e5365-0b36-45f5-9c76-fbe439632367"
},
"hydra:search": {
"@type": "<string>",
"hydra:template": "<string>",
"hydra:variableRepresentation": "<string>",
"hydra:mapping": [
{
"@type": "<string>",
"variable": "<string>",
"property": "<string>",
"required": true
}
]
}
}{
"message": "<string>"
}List all entities
List entities in your organization and filter by RFC, name, person type, or dates.
Authorizations
Your API key is available in the Production and Sandbox dashboards.
Query Parameters
Filter by the authenticated user's favorite state.
Filter by RFC (Registro Federal de Contribuyentes, partial match)
12 - 13"PEIC211118IS0"
Filter by taxpayer name (partial match) Taxpayer name
1 - 254"Pedro Infante Cruz"
Filter by taxpayer type (exact match)
physical, legal "physical"
Entities with at least one extraction from the datasource (exact match). Combined with extractions.status, both conditions apply to the same extraction.
sat, buro_de_credito, rpc, rug, bil Entities with at least one extraction in the status (exact match). waiting lists the entities whose extraction is blocked on a requirement they must fulfil, such as SAT credentials or a Buró de Crédito authorization.
pending, waiting, running, finished, failed, stopping, stopped, cancelled Filter by taxpayer registration date (less than or equal <=)
Filter by taxpayer registration date (less than <)
Filter by taxpayer registration date (greater than or equal >=)
Filter by taxpayer registration date (greater than >)
Filter by resource creation date (less than or equal <=)
Filter by resource creation date (less than <)
Filter by resource creation date (greater than or equal >=)
Filter by resource creation date (greater than >)
Filter by the date the resource was last updated (less than or equal <=)
Filter by the date the resource was last updated (less than <)
Filter by the date the resource was last updated (greater than or equal >=)
Filter by the date the resource was last updated (greater than >)
Order by resource creation date
asc, desc "asc"
Order by resource update date
asc, desc "asc"
Collection cursor pointer to the next page
Collection cursor pointer to the previous page
Number of items per page
1 <= x <= 1000Was this page helpful?